Package org.silverpeas.looks.aurora

## Class NewsList

- java.lang.Object
- - org.silverpeas.looks.aurora.ListOfContributions
  - - org.silverpeas.looks.aurora.NewsList

-     public class NewsList
      extends ListOfContributions

  Created by Nicolas on 19/07/2017.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NewsList.RenderingType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewsList​(List<org.silverpeas.components.quickinfo.model.News> someNews, org.silverpeas.core.admin.component.model.ComponentInst app)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<NewsListButton>` | `getButtons()` |
    `String` | `getImageSize()` | Gets the image size the image of news MUST be displayed.
    `List<AuroraNews>` | `getNews()` |
    `NewsList.RenderingType` | `getRenderingType()` | Gets the type the news list MUST be rendered in.
    `AuroraSpaceHomePageZone` | `getZone()` | Gets the zone location the news list MUST be managed.
    `boolean` | `isEmpty()` |
    `void` | `limitNews​(int size)` |
    `void` | `setImageSize​(String imageSize)` | Sets the image size the image of news MUST be displayed.
    `void` | `setRenderingType​(NewsList.RenderingType type)` | Sets the type the news list MUST be rendered in.
    `void` | `setZone​(AuroraSpaceHomePageZone zone)` | Sets the zone location the news list MUST be managed.
    `void` | `withTaxonomyButtons()` |

    - ### Methods inherited from class org.silverpeas.looks.aurora.ListOfContributions

      `getApp, getAppShortcuts, getUniqueAppId, getUniqueAppURL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsList

          public NewsList​(List<org.silverpeas.components.quickinfo.model.News> someNews,
                          org.silverpeas.core.admin.component.model.ComponentInst app)

  - ### Method Detail

    - #### getNews

          public List<AuroraNews> getNews()

    - #### limitNews

          public void limitNews​(int size)

    - #### isEmpty

          public boolean isEmpty()

    - #### withTaxonomyButtons

          public void withTaxonomyButtons()

    - #### getButtons

          public List<NewsListButton> getButtons()

    - #### getZone

          public AuroraSpaceHomePageZone getZone()

      Gets the zone location the news list MUST be managed.
      Returns:
        a `AuroraSpaceHomePageZone` instance.

    - #### getImageSize

          public String getImageSize()

      Gets the image size the image of news MUST be displayed.

      Format MUST be "WxH" (W = width and H = height in pixels)

      Returns:
        the image size (width x height) as string.

    - #### setImageSize

          public void setImageSize​(String imageSize)

      Sets the image size the image of news MUST be displayed.

      Format MUST be "WxH" (W = width and H = height in pixels)

      Parameters:
        `imageSize` - the image size (width x height) as string.

    - #### setZone

          public void setZone​(AuroraSpaceHomePageZone zone)

      Sets the zone location the news list MUST be managed.
      Parameters:
        `zone` - `AuroraSpaceHomePageZone` instance.

    - #### getRenderingType

          public NewsList.RenderingType getRenderingType()

      Gets the type the news list MUST be rendered in.
      Returns:
        a `NewsList.RenderingType` instance.

    - #### setRenderingType

          public void setRenderingType​(NewsList.RenderingType type)

      Sets the type the news list MUST be rendered in.
      Parameters:
        `type` - a `NewsList.RenderingType` instance.